Subject: Re: linux-next: build failure after merge of the origin tree

From: Krzysztof Kozlowski <[email-masked]>
Date: Mon, 30 Sep 2024 13:00:21 +0200

On 30/09/2024 12:50, Kent Overstreet wrote:
> On Mon, Sep 30, 2024 at 12:28:40PM GMT, Krzysztof Kozlowski wrote:
>> On 30/09/2024 05:38, Stephen Rothwell wrote:
>>> Hi all,
>>> 
>>> After merging the origin tree, today's linux-next build (s390
>>> defconfig) failed like this:
>>> 
>>> In file included from fs/bcachefs/bset.h:9, from
>>> fs/bcachefs/btree_iter.h:5, from fs/bcachefs/str_hash.h:5, from
>>> fs/bcachefs/xattr.h:5, from fs/bcachefs/acl.c:6: 
>>> fs/bcachefs/bkey.h: In function 'bch2_bkey_format_add_key': 
>>> fs/bcachefs/bkey.h:557:41: error: 'const struct bkey' has no
>>> member named 'bversion'; did you mean 'version'? 557 |
>>> x(BKEY_FIELD_VERSION_HI,        bversion.hi)
>>> \ |                                         ^~~~~~~~
>> 
>> 
>> Also reported earlier here: 
>> https://lore.kernel.org/all/[email-masked]/ 
>> https://lore.kernel.org/all/[email-masked]/
>> 
>> But the true problem is here:
>> 
>> commit cf49f8a8c277f9f2b78e2a56189a741a508a9820 Author:     Kent
>> Overstreet <[email-masked]> AuthorDate: Thu Sep 26
>> 15:49:17 2024 -0400 ^^^^^^^^^^^ Commit:     Kent Overstreet
>> <[email-masked]> CommitDate: Fri Sep 27 21:46:35 2024
>> -0400 ^^^^^^^^^^^ one day difference!
>> 
>> Last minute commits usually won't receive wide build coverage, at
>> least not instantaneously.
>> 
>> And if you go through the history, I see around 40 commits with
>> authored date ~20-26 September and committed on Sep 27. Plus
>> another ~40 authored earlier but committed on September 21, which
>> is middle of merge window.
>> 
>> Why such commits for RC1 are sent at the end of merge window or 
>> committed during merge window?
> 
> the rename was something I did to track down a bug in the disk
> accounting rewrite: 
> https://lore.kernel.org/linux-bcachefs/pvga5sgp4vejnnr5ojgiuwte6qeve4x7ld4dhdmzb625l367fq@q4td2cutlfvu/T/

I am sorry, but I do not see how cleanup-like rename is related to
tracking down a tricky bug and fixing it. Looks like fixes got
inter-mixed with such minor refactoring.

>
>  I do need to get multi-arch build testing going on my CI, but right
> now I'm busy working on corner cases in the repair code...

Well, I claim it is easy, if you wait one day for the notification from
LKP - I got notification after every push, also on success, so I am sure
that my kernel (and development, but that's unrelated) builds fine on
wide configuration. And this is free as in free beer...

Best regards,
Krzysztof